Subject: Re: bug#59532: 28.2; Unable to build emacs with tree-sitter installed

From: Yuan Fu <[email-masked]>
Date: Sat, 7 Jan 2023 14:45:21 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 04 Dec 2022 10:41:00 +0000
>> 
>> > It is not wrong, it just assumes a well-configured system, where shared
>> > libraries live in a sensible place.
>> 
>> No, if one follow the directions in "* Building Emacs with tree-sitter"
>> it will fail, well-configured system or not as long as you consider
>> "/usr/local/lib" as a wrong place to install tree-sitter.
>
> /usr/local/lib is not a wrong place.  Depending on your system
> configuration, it might be right or it might be wrong.
>
>> I just remind you that it is tree-sitter itself with make+make install
>> that install tree-sitter libs in this place.
>
> No, that's the tree-sitter's _default_.  When you use its Makefile, you are
> supposed to review it and change the default as needed.
>
>> I just say that for people trying to install tree-sitter, if it just for
>> me I am fine with "--without-tree-sitter".
>
> Those notes are not for everyone, they will be deleted soon.  They were
> meant to help people who wanted to work on new modes based on tree-sitter.

I don’t think there is anything we need to do, so I’m closing this. Feel
free to reopen, of course :-)

Yuan